//MehrfachFarbfelderEntf_301d.js / CS3
// 23.07.07 / Hans Haesler, Chtelard 52, CH-1018 Lausanne / <hsa@ringier.ch>
//Dieses Script dient zum Entfernen von mehrfach angelegten, 
//Farbfeldern, deren Name mit Nummern und "Kopie" ergnzt sind. 
//Sie werden durch die ursprnglichen Farbfelder ersetzt.
//(nach einem Script von Dave Saunders)

if (app.documents.length == 0) {
	alert ("Es ist kein Dokument offen.", "Achtung");
	exit();
}

// die Sprache des Programms ermitteln und der Variablen 'aCopy' 
// das entsprechende Wort fr "Kopie" zuweisen
var curLang = app.locale;
if (curLang == 1279477613) { // = deutsch
	aCopy = "Kopie";
}
else if (curLang == 1279477362) { // = franzsisch
	aCopy = "copie";
}
else {
	aCopy = "copy"; // alle anderen*
}
// * falls notwendig, kann der 'if'-Test erweitert werden

var allSwatches = app.documents[0].swatches;
var colNames = allSwatches.everyItem().name;
colNames.sort();
for (var i=colNames.length - 1; i >=0; i--) {
	allParts = colNames[i].split(" ");
	if (allParts.length == 1) {
		continue;
	}
	lastPart = allParts.pop();
	if ((isNaN(lastPart)) && (lastPart != aCopy)) {
		continue;
	}
	var curSwatch = app.documents[0].swatches.item(allParts.join(" "));
	if (curSwatch == null) {
		continue;
	}
	allSwatches.item(colNames[i]).remove(curSwatch);
}